# Interface ContractInput

#### Hierarchy

- ContractInput

- Defined in packages/db/typings/schema.d.ts:443

#####
Index

### Properties

abi?
callBytecode?
callBytecodeGeneratedSources?
compilation?
createBytecode?
createBytecodeGeneratedSources?
name
processedSource?

## Properties

### `Optional` abi

abi?: null | AbiInput

- Defined in packages/db/typings/schema.d.ts:445

### `Optional` callBytecode

callBytecode?: null | ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:449

### `Optional` callBytecodeGeneratedSources

callBytecodeGeneratedSources?: null | (null | ProcessedSourceInput)[]

- Defined in packages/db/typings/schema.d.ts:450

### `Optional` compilation

compilation?: null | ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:446

### `Optional` createBytecode

createBytecode?: null | ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:448

### `Optional` createBytecodeGeneratedSources

createBytecodeGeneratedSources?: null | (null | ProcessedSourceInput)[]

- Defined in packages/db/typings/schema.d.ts:451

### name

name: string

- Defined in packages/db/typings/schema.d.ts:444

### `Optional` processedSource

processedSource?: null | IndexReferenceInput

- Defined in packages/db/typings/schema.d.ts:447

Generated using TypeDoc